> ## Name

> cgGLGetContextGLSLVersion - get the current GLSL version from a context

> ## Synopsis

>     #include <Cg/cgGL.h>

>     CGGLglslversion cgGLGetContextGLSLVersion( CGcontext context );

> ## Parameters

> context
>   The context from which the the current GLSL version will be retrieved.

> ## Return Values

> Returns the GLSL version for context.

> Returns CG_GL_GLSL_DEFAULT if an error occurs.

> ## Description

> cgGLGetContextGLSLVersion gets the current GLSL version setting from context. See cgGLSetContextGLSLVersion for more information.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> ## History

> cgGLGetContextGLSLVersion was introduced in Cg 3.1.

> ## See Also

> cgGLSetContextGLSLVersion, cgGLDetectGLSLVersion, cgGLGetContextOptimalOptions, cgGLSetContextOptimalOptions